{% extends "base.html" %}

{% block title %} {{ pro.companyName }} {% endblock title %}

{% block content %}

    <div class="row">

      {% if pro.companyName %}
          <div class="col-sm-9"><h1><b><a href="{% url 'eprofile' pro.cUserName %}"> {{ pro.companyName }}</a></b></h1></div>
          
      {% else %}
           <div class="col-sm-9"><h1><b> <a href="{% url 'eprofile' pro.cUserName %}"> {{pro.cUserName}} </a> </b></h1></div>
      {% endif %}

      {% if pro.companyLogo %}
        <div class="col-sm-3"><a href="#" class="pull-right"><img title="company logo" class="img-Thumbnail img-responsive" src="{{ pro.companyLogo.url }}" style="width: 180px; height: 140px;"></a></div>
      {% else %}
        <div class="col-sm-3"><a href="#" class="pull-right"><img title="profile image" class="img-thumbnail img-responsive" src="/static/image/generic.jpg" style="width: 180px; height: 140px;"></a></div>
      {% endif %}

    </div>

    <hr>

    {% if himself %}

    <div class="row" style="padding-bottom: 30px">

    <div class="col-sm-12">
          
        <ul class="nav nav-tabs" id="myTab">

            <li class="active"><a href="#home" data-toggle="tab">Your Posted Jobs</a></li>
            <li><a href="#sub" data-toggle="tab">Job Applicants</a></li>
            <li><a href="#settings" data-toggle="tab">Update Profile</a></li>

        </ul>
              
        <div class="tab-content">
            <div class="tab-pane active" id="home">
                <div align="center" style="padding: 30px">
                {% if job %}
                <table class="table table-hover table-striped">
                    <thead>
                        <tr>
                            <td>Type</td>
                            <td>Title</td>
                            <td>Location</td>
                            <td>Posted On</td>
                            <td>Deadline</td>
                            <td>Edit Posts</td>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in job %}
                        <tr>
                            <td>{{ item.jobType}}</td>
                            <td><a href="{% url "job" item.id %}">{{ item.jobTitle }}</a></td>
                            <td>{{ item.jobLocation }}</td>
                            <td>{{ item.jobCreated }}</td>
                            <td>{{ item.applyDeadline }}</td>
                            <td><a href="{% url 'job_edit' item.id %}">Edit</a></td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {% else %}
                    <h2 class="text-warning text-center">You Haven't Posted Any Job Yet.</h2>
                {% endif %}
                </div>
            </div><!--/tab-pane-->

            <div class="tab-pane" id="sub">
                <div align="center" style="padding: 30px">
                {% if job %}
                <table class="table table-hover table-striped" align="center">
                    <thead>
                        <tr>
                            <td>Job Title</td>
                            <td>Application Deadline</td>
                            <td>View Applicants</td>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in job %}
                        <tr>
                            <td><a href="{% url "job" item.id %}">{{ item.jobTitle }}</a></td>
                            <td>{{ item.applyDeadline }}</td>
                            <td><a href="{% url "view_app" username item.id %}">All Applicants</a></td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {% else %}
                    <h2 class="text-warning text-center">You Haven't Posted Any Job Yet.</h2>
                {% endif %}
                </div>
            </div><!--/tab-pane-->

            <div class="tab-pane" id="settings">
                {% include 'eprofile_settings.html' %}
            </div>
               
        </div><!--/tab-content-->

    </div><!--/col-8-->
    </div>

    {% else %}
        <div class="row" style="padding-bottom: 30px">
            <ul class="list-group">
                <li class="list-group-item"><strong>Compnay Website</strong> : <a href="//{{ pro.companyWebsite}}" target="new">{{ pro.companyWebsite}}</a> <span class="pull-right"><strong>Compnay Type</strong> : {{ pro.companyCategory }}</span></li>
                <li class="list-group-item"><strong>Description</strong><br /><hr>{{ pro.description|safe }}</li>
                <li class="list-group-item"><strong>Address</strong></strong><br /><hr>{{ pro.companyAddress|safe }}</li>
                <li class="list-group-item"><strong>Email Address :</strong> {{ pro.companyEmail }} <span class="pull-right"><strong>Fax Address :</strong> {{ pro.companyFax }}</span></li>
            </ul>
        </div>
    {% endif %}

{% endblock content %}